Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models
Class BasicSubpart

    java.lang.Object
      |
      +--APStudio.models.BasicElement
            |
            +--APStudio.models.BasicSubpart

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.ui.views.properties.IPropertySource, java.io.Serializable

Direct Known Subclasses:
  ClassDiagramModel, ClassGraphModel

public abstract class BasicSubpart
extends APStudio.models.BasicElement

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CHILDREN`
`static java.lang.String` | `ID_LOCATION`
`static java.lang.String` | `ID_NAME`
`static java.lang.String` | `ID_SIZE`
`static java.lang.String` | `INPUTS`
`static java.lang.String` | `NODE_ADDED`
`static java.lang.String` | `NODE_REMOVED`
`static java.lang.String` | `OUTPUTS`

Constructor Summary
`BasicSubpart()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `connectInput(Connector w)`
`void` | `connectOutput(Connector w)`
`void` | `disconnectInput(Connector w)`
`void` | `disconnectOutput(Connector w)`
`java.util.Vector` | `getConnections()`
`java.lang.Object` | `getEditableValue()`
`org.eclipse.swt.graphics.Image` | `getIcon()`
`abstract org.eclipse.swt.graphics.Image` | `getIconImage()`
`java.lang.String` | `getID()`
`org.eclipse.draw2d.geometry.Point` | `getLocation()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getOutputs()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` | `getPropertyDescriptors()` Returns useful property descriptors for the use in property sheets.
`java.lang.Object` | `getPropertyValue(java.lang.Object propName)` Returns an Object which represents the appropriate value for the property name supplied.
`org.eclipse.draw2d.geometry.Dimension` | `getSize()`
`java.util.Vector` | `getSourceConnections()`
`java.util.Vector` | `getTargetConnections()`
`boolean` | `isPropertySet()`
`boolean` | `isPropertySet(java.lang.Object id)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `resetPropertyValue(java.lang.Object id)`
`void` | `setID(java.lang.String s)`
`void` | `setLocation(org.eclipse.draw2d.geometry.Point p)`
`void` | `setName(java.lang.String newName)`
`void` | `setPropertyValue(java.lang.Object id, java.lang.Object value)` Sets the value of a given property with the value supplied.
`void` | `setSize(org.eclipse.draw2d.geometry.Dimension d)`
`void` | `update()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_SIZE

    public static java.lang.String ID_SIZE

### ID_LOCATION

    public static java.lang.String ID_LOCATION

### ID_NAME

    public static java.lang.String ID_NAME

### CHILDREN

    public static final java.lang.String CHILDREN

See Also:
  Constant Field Values

### NODE_ADDED

    public static final java.lang.String NODE_ADDED

See Also:
  Constant Field Values

### NODE_REMOVED

    public static final java.lang.String NODE_REMOVED

See Also:
  Constant Field Values

### INPUTS

    public static final java.lang.String INPUTS

See Also:
  Constant Field Values

### OUTPUTS

    public static final java.lang.String OUTPUTS

See Also:
  Constant Field Values

Constructor Detail

### BasicSubpart

    public BasicSubpart()

Method Detail

### connectInput

    public void connectInput(Connector w)

### connectOutput

    public void connectOutput(Connector w)

### disconnectInput

    public void disconnectInput(Connector w)

### disconnectOutput

    public void disconnectOutput(Connector w)

### getOutputs

    public java.util.Vector getOutputs()

### getConnections

    public java.util.Vector getConnections()

### getIcon

    public org.eclipse.swt.graphics.Image getIcon()

### getIconImage

    public abstract org.eclipse.swt.graphics.Image getIconImage()

### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation()

### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

  Returns useful property descriptors for the use in property sheets. this supports location , size and Name.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `APStudio.models.BasicElement`
  Returns:
    Array of property descriptors.

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object propName)

  Returns an Object which represents the appropriate value for the property name supplied.

  Specified by:
    `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyValue` in class `APStudio.models.BasicElement`
  Parameters:
    `propName` - Name of the property for which the the values are needed.
  Returns:
    Object which is the value of the property.

### getSize

    public org.eclipse.draw2d.geometry.Dimension getSize()

### getSourceConnections

    public java.util.Vector getSourceConnections()

### getTargetConnections

    public java.util.Vector getTargetConnections()

### isPropertySet

    public boolean isPropertySet()

### setLocation

    public void setLocation(org.eclipse.draw2d.geometry.Point p)

### setPropertyValue

    public void setPropertyValue(java.lang.Object id,
                                 java.lang.Object value)

  Sets the value of a given property with the value supplied. Also fires a property change if necessary.

  Specified by:
    `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `setPropertyValue` in class `APStudio.models.BasicElement`
  Parameters:
    `id` - Name of the parameter to be changed.
    `value` - Value to be set to the given parameter.

### setSize

    public void setSize(org.eclipse.draw2d.geometry.Dimension d)

### setName

    public void setName(java.lang.String newName)

### getName

    public java.lang.String getName()

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### getID

    public java.lang.String getID()

### isPropertySet

    public boolean isPropertySet(java.lang.Object id)

  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object id)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### setID

    public void setID(java.lang.String s)

### update

    public void update()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD